#include <bits/stdc++.h>
#include<vector>



using namespace std;

int glavni[200001];
vector<pair<int, int>> indeksi;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);


    int n,q;
    cin >> n;
    cin >> glavni[0];
    pair<int, int> pom;
    int nePripada = 0;
    for(int i = 1;i<n;i++)
    {

        cin >> glavni[i];
        if(glavni[i]<glavni[i-1])
        {
            nePripada++;
            pom.first=i-1;
            pom.second = i;
            indeksi.push_back(pom);
        }

    }
    cin >> q;
    int l,r;
    bool jeste = true;
    int sigurno = 0;
    for(int i = 0;i<q;i++)
    {
        cin >> l >> r;
        if(nePripada <=1)
        {
            cout << "DA"<<'\n';
            continue;
        }
        else if(l == r)
        {
            cout << "DA"<<'\n';
            continue;
        }
        else if(l + 1 == r)
        {
            cout << "DA"<<'\n';
            continue;
        }
        l--;
        r--;
        for(int j = 0;j<indeksi.size();j++)
        {
            if(indeksi[j].first >= l && indeksi[j].second <= r )
            {
                sigurno++;
            }
            if(sigurno > 1)
            {
                jeste = false;
                cout << "NE"<<'\n';
                break;
            }
        }
        if(jeste)
            cout << "DA"<<'\n';
        jeste = true;
        sigurno = 0;
    }



}